test: tagDISPLAYINFO struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# tagDISPLAYINFO Struct Reference

`#include <user.h>`

List of all members.

## Public Attributes

HANDLE | hDev
PVOID | pmdev
HANDLE | hDevInfo
HDC | hdcScreen
HDC | hdcBits
HDC | hdcGray
HBITMAP | hbmGray
int | cxGray
int | cyGray
PDCE | pdceFirst
PSPB | pspbFirst
ULONG | cMonitors
PMONITOR | pMonitorPrimary
PMONITOR | pMonitorFirst
RECT | rcScreen
HRGN | hrgnScreen
WORD | dmLogPixels
WORD | BitCountMax
BOOL | fDesktopIsRect:1
BOOL | fAnyPalette:1
KHANDLE | hDev
KERNEL_PVOID | pmdev
KHANDLE | hDevInfo
KHDC | hdcScreen
KHDC | hdcBits
KHDC | hdcGray
KHBITMAP | hbmGray
KHRGN | hrgnScreen

## Member Data Documentation

WORD tagDISPLAYINFO::BitCountMax

| Definition at line 2209 of file inc/user.h. Referenced by UpdateUserScreen(), and xxxSnapWindow().

ULONG tagDISPLAYINFO::cMonitors

| Definition at line 2201 of file inc/user.h. Referenced by _MonitorFromPoint(), _MonitorFromRect(), IsVSlick(), SnapshotMonitorRects(), UpdateUserScreen(), xxxCheckFullScreen(), xxxLoadDesktopWallpaper(), xxxMinMaximize(), xxxMoveSize(), xxxMS_TrackMove(), and xxxSetWindowPos().

int tagDISPLAYINFO::cxGray

| Definition at line 2193 of file inc/user.h. Referenced by CreateCompatiblePublicDC(), FinalUserInit(), and xxxDrawState().

int tagDISPLAYINFO::cyGray

| Definition at line 2194 of file inc/user.h. Referenced by FinalUserInit(), and xxxDrawState().

WORD tagDISPLAYINFO::dmLogPixels

| Definition at line 2208 of file inc/user.h. Referenced by UpdateUserScreen(), and xxxCreateDesktop2().

BOOL tagDISPLAYINFO::fAnyPalette

| Definition at line 2212 of file inc/user.h. Referenced by EnforceColorDependentSettings(), SetSysColor(), UpdateUserScreen(), and xxxLoadDesktopWallpaper().

BOOL tagDISPLAYINFO::fDesktopIsRect

| Definition at line 2211 of file inc/user.h. Referenced by BoundCursor(), ClipPointToDesktop(), UpdateUserScreen(), and xxxCreateDesktop().

KHBITMAP tagDISPLAYINFO::hbmGray

| Definition at line 2192 of file inc/user.h.

HBITMAP tagDISPLAYINFO::hbmGray

| Definition at line 2104 of file client/nt6/user.h. Referenced by CleanupGDI(), and FinalUserInit().

KHDC tagDISPLAYINFO::hdcBits

| Definition at line 2188 of file inc/user.h.

HDC tagDISPLAYINFO::hdcBits

| Definition at line 2100 of file client/nt6/user.h. Referenced by CleanupGDI().

KHDC tagDISPLAYINFO::hdcGray

| Definition at line 2191 of file inc/user.h.

HDC tagDISPLAYINFO::hdcGray

| Definition at line 2103 of file client/nt6/user.h. Referenced by BltColor(), CleanupGDI(), CreateCompatiblePublicDC(), DrawMenuItemCheckMark(), FinalUserInit(), and xxxDrawState().

KHDC tagDISPLAYINFO::hdcScreen

| Definition at line 2187 of file inc/user.h.

HDC tagDISPLAYINFO::hdcScreen

| Definition at line 2099 of file client/nt6/user.h. Referenced by BMPtoDIB(), CleanupGDI(), CreateBitmapStrip(), CreateCaptionStrip(), CreateFade(), CreatePaletteFromBitmap(), CreateRedirectionBitmap(), CreateScreenBitmap(), DIBtoBMP(), DT_InitDrawTextInfo(), EnforceColorDependentSettings(), FinalUserInit(), InitUserScreen(), MNCreateAnimationBitmap(), MNFadeSelection(), MNSetupAnimationDC(), PasteScreenPalette(), ResetSharedDesktops(), RestoreSpb(), SetSysColor(), StopFade(), UpdateUserScreen(), UserThreadCallout(), xxxDesktopWndProc(), xxxFlushPalette(), xxxLoadDesktopWallpaper(), xxxSetDeskWallpaper(), xxxSetLayeredWindow(), xxxSetSysColors(), xxxUpdatePerUserSystemParameters(), zzzBltValidBits(), and zzzChangeStates().

KHANDLE tagDISPLAYINFO::hDev

| Definition at line 2182 of file inc/user.h.

HANDLE tagDISPLAYINFO::hDev

| Definition at line 2094 of file client/nt6/user.h. Referenced by _GetDCEx(), _SetLayeredWindowAttributes(), _UpdateLayeredWindow(), CleanupGDI(), ConvertRedirectionDCs(), CreateCacheDC(), CreateFade(), CreateSpb(), CtxDisplayIOCtl(), DeleteFadeSprite(), FreeSpb(), InitiateWin32kCleanup(), InitUserScreen(), InitVideo(), InternalScrollDC(), InvalidateDce(), LayerHitTest(), LockWindowUpdate2(), OffsetChildren(), ProcessDeviceChanges(), RawInputThread(), RecreateRedirectionBitmap(), ReleaseCacheDC(), RemotePassthruDisable(), RemoteRedrawRectangle(), RemoteShadowCleanup(), RemoteShadowStart(), RestoreSpb(), SaveScreen(), SetNCMetrics(), SetPointer(), SpbCheck(), TrackLayeredZorder(), UnsetLayeredWindow(), UpdateFade(), UpdateLayeredSprite(), UserGetDesktopDC(), UserGetHDEV(), UserThreadCallout(), xxxCancelTrackingForThread(), xxxCreateDesktop2(), xxxDesktopThread(), xxxDrawDragRect(), xxxFreeWindow(), xxxMenuBarDraw(), xxxMNInvertItem(), xxxMoveEventAbsolute(), xxxMoveSize(), xxxMS_TrackMove(), xxxReleaseCapture(), xxxRemoteDisconnect(), xxxRemotePassthruEnable(), xxxRemoteReconnect(), xxxSetLayeredWindow(), xxxSwitchDesktop(), xxxSystemParametersInfo(), xxxTrackInitSize(), xxxUserChangeDisplaySettings(), zzzBltValidBits(), zzzChangeStates(), zzzInternalSetCursorPos(), zzzInvalidateDCCache(), and zzzUpdateCursorImage().

KHANDLE tagDISPLAYINFO::hDevInfo

| Definition at line 2184 of file inc/user.h.

HANDLE tagDISPLAYINFO::hDevInfo

| Definition at line 2096 of file client/nt6/user.h.

KHRGN tagDISPLAYINFO::hrgnScreen

| Definition at line 2207 of file inc/user.h.

HRGN tagDISPLAYINFO::hrgnScreen

| Definition at line 2119 of file client/nt6/user.h. Referenced by _ExcludeUpdateRgn(), CleanupGDI(), CreateSpb(), UpdateUserScreen(), and xxxCreateDesktop().

PDCE tagDISPLAYINFO::pdceFirst

| Definition at line 2197 of file inc/user.h. Referenced by _GetDCEx(), _WindowFromDC(), CleanupGDI(), ConvertRedirectionDCs(), CreateCacheDC(), CreateSpb(), DelayedDestroyCacheDC(), DestroyCacheDC(), DestroyCacheDCEntries(), DestroyMonitorDCs(), FastWindowFromDC(), FreeSpb(), GetMonitorDC(), LookupDC(), RecreateRedirectionBitmap(), ReleaseCacheDC(), SpbCheck(), UserGetHwnd(), Win32KDriverUnload(), WindowFromCacheDC(), xxxFreeWindow(), xxxGetUpdateRect(), xxxSystemTimerProc(), xxxUserProcessCallout(), and zzzInvalidateDCCache().

KERNEL_PVOID tagDISPLAYINFO::pmdev

| Definition at line 2183 of file inc/user.h.

PVOID tagDISPLAYINFO::pmdev

| Definition at line 2095 of file client/nt6/user.h. Referenced by CleanupGDI(), HdevFromMonitor(), InitVideo(), NtUserEnumDisplayDevices(), ProcessQueuedMouseEvents(), RemoteDisableScreen(), RemoteRedrawScreen(), SetMonitorData(), UpdateUserScreen(), VideoPortCalloutThread(), xxxCreateDesktop2(), xxxDesktopThread(), xxxMakeWindowForegroundWithState(), xxxProcessKeyEvent(), xxxRemoteReconnect(), xxxSwitchDesktop(), xxxSysCommand(), xxxSystemParametersInfo(), xxxUserChangeDisplaySettings(), and xxxUserPowerEventCalloutWorker().

PMONITOR tagDISPLAYINFO::pMonitorFirst

| Definition at line 2203 of file inc/user.h. Referenced by CleanupGDI(), DestroyMonitor(), MonitorFromHdev(), PreventInterMonitorBlts(), SnapshotMonitorRects(), UpdateUserScreen(), xxxCreateDesktop2(), xxxDesktopThread(), xxxEnumDisplayMonitors(), xxxLoadDesktopWallpaper(), and xxxMS_TrackMove().

PMONITOR tagDISPLAYINFO::pMonitorPrimary

| Definition at line 2202 of file inc/user.h. Referenced by CreateSpb(), DestroyMonitor(), NtUserEnumDisplayDevices(), NtUserEnumDisplaySettings(), ResetSharedDesktops(), SetMonitorData(), UpdateUserScreen(), xxxCreateDesktop2(), and xxxUserChangeDisplaySettings().

PSPB tagDISPLAYINFO::pspbFirst

| Definition at line 2198 of file inc/user.h. Referenced by CreateSpb(), FindSpb(), FreeAllSpbs(), FreeSpb(), LockWindowUpdate2(), SpbCheckPwnd(), and SpbCheckRect().

RECT tagDISPLAYINFO::rcScreen

| Definition at line 2206 of file inc/user.h. Referenced by _MonitorFromRect(), CreateSpb(), InitUserScreen(), IsVSlick(), RawInputThread(), ResetSharedDesktops(), SaveScreen(), UpdateUserScreen(), UserVisrgnFromHwnd(), xxxCheckFullScreen(), xxxCreateDesktop(), xxxCreateDesktop2(), xxxEnumDisplayMonitors(), xxxMoveSize(), xxxResetDisplayDevice(), xxxSnapWindow(), and zzzClipCursor().

The documentation for this struct was generated from the following files:

- client/nt6/user.h
- inc/user.h